Deskhero Developer Hub
Back to deskhero.com
Groups

Get one

Returns one group with its members, admins and the mailboxes that deliver into it.

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/groups/{id}
Authorisation
Minimum role: USER

Request arguments

Name Type Source
idInt32
Request body example

Response

Status
200 (OK)
Type
DTO_group
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_group
NameTypeReadOnlyDescription
group_usersDTO_reference_user[]Group users
group_adminsDTO_reference_user[]Group admins
mailboxesDTO_reference[]ReadOnlyMailboxes
created_byDTO_reference_userReadOnlyCreated by
last_updated_byDTO_reference_userReadOnlyLast updated by
idInt32ReadOnlyLeave empty on input
nameStringName
unique_keyStringMain email key (unique_key@tenant.deskhero.com) Used as forward address, and default group email
forward_to_emailStringReadOnlyForward to email
typeENUM group_typeReadOnlyType
createdDateTimeReadOnlyCreated
last_updatedDateTimeReadOnlyLast updated
DTO_reference_user
NameTypeReadOnlyDescription
profile_picStringReadOnlyProfile pic
emailStringReadOnlyEmail
idInt32Id
labelObjectReadOnlyLabel
DTO_reference
NameTypeReadOnlyDescription
idInt32The id of the reference
labelObjectReadOnlyName/Label from referenced object.
ENUM group_type
ValueNameDescription
0UNKNOWNUNKNOWN
1CUSTOMCustom
2SYSTEM_EVERYONESys everyone

Generated Aug 4, 2026 18:37